<?php

use Automata\Machine;
use Automata\ToolData;

require_once __DIR__ . '/../vendor/autoload.php';

$machine = new Machine();
$machine->TM->write(new ToolData(1, 5500, 2));
$machine->TM->write(new ToolData(2, 3000, 61379));
(new ProgramLoader)->loadPrograms($machine);

$machine->loadProgram(9002);
while ($machine->PPMC->ready()) {
	$machine->step();
}
