<?php

namespace Automata;

class DataRegisters
{
	public int $B = 0;  // Traverse information
	public int $X = 0;  // Dimension along X-axis
	public int $Y = 0;  // Dimension along Y-axis
	public int $Z = 0;  // Dimension along Z-axis
	public int $N = 0;  // Current line or program number
	public int $I = 0;  // Circle centre, X-axis
	public int $J = 0;  // Circle centre, Y-axis
	public int $K = 0;  // Circle centre, Z-axis
	public int $F = 0;  // Feed in 0.1 mm/min
	public int $S = 0;  // Spindle speed in RPM
	public int $T = 0;  // Tool number
	public int $H = 0;  // Additional functions (unused)
	public int $M = 0;  // Auxiliary functions
	public int $E = 0;  // Number of repetitions / multiple meanings
	// Modals
	public int $TM = 0;     // Traverse (0, 1, 2, 3)
	public int $PS = 18;    // Plane Selection (18, 19, 20)
	public int $RC = 40;    // Radius Compensation
	public int $DM = 90;    // Dimension (90, 91)
	public int $WC = 0;     // Work Cycle (null, 81, 84, 85, 86)
	public int $CM = 8;     // Coolant (8, 9)
	public int $SM = 5;     // Spindle (3, 4, 5)
	public int $TC = 10;    // Table Clamping (10, 11)
}
